Package org.apache.lucene.queryparser.flexible.standard.builders

# Interface StandardQueryBuilder

All Superinterfaces:
  `QueryBuilder`

All Known Implementing Classes:
  `AnyQueryNodeBuilder`, `BooleanQueryNodeBuilder`, `BoostQueryNodeBuilder`, `DummyQueryNodeBuilder`, `FieldQueryNodeBuilder`, `FuzzyQueryNodeBuilder`, `GroupQueryNodeBuilder`, `IntervalQueryNodeBuilder`, `MatchAllDocsQueryNodeBuilder`, `MatchNoDocsQueryNodeBuilder`, `ModifierQueryNodeBuilder`, `MultiPhraseQueryNodeBuilder`, `PhraseQueryNodeBuilder`, `PointRangeQueryNodeBuilder`, `PrefixWildcardQueryNodeBuilder`, `RegexpQueryNodeBuilder`, `SlopQueryNodeBuilder`, `StandardQueryTreeBuilder`, `SynonymQueryNodeBuilder`, `TermRangeQueryNodeBuilder`, `WildcardQueryNodeBuilder`

public interface StandardQueryBuilder extends QueryBuilder
This interface should be implemented by every class that wants to build `Query` objects from `QueryNode` objects.

See Also:
  - `QueryBuilder`
  - `QueryTreeBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Query`
  `build(QueryNode queryNode)`
  Builds some kind of object from a query tree.

- ## Method Details

  - ### build

    Query build(QueryNode queryNode) throws QueryNodeException
    Description copied from interface: `QueryBuilder`
    Builds some kind of object from a query tree.
    Specified by:
      `build` in interface `QueryBuilder`
    Parameters:
      `queryNode` - the query tree root node
    Returns:
      some object generated from the query tree
    Throws:
      `QueryNodeException`